taffybar-3.0.0: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.Widget.CPUMonitor

Description

Simple CPU monitor that uses a PollingGraph to visualize variations in the user and system CPU times in one selected core, or in all cores available.

Synopsis

- cpuMonitorNew :: MonadIO m => GraphConfig -> Double -> String -> m Widget
- probe :: IORef [Int] -> String -> IO [Double]

# Documentation

cpuMonitorNew Source #

Arguments

:: MonadIO m |
=> GraphConfig | Configuration data for the Graph.
-> Double | Polling period (in seconds).
-> String | Name of the core to watch (e.g. "cpu", "cpu0").
-> m Widget |

Creates a new CPU monitor. This is a PollingGraph fed by regular calls to getCPUInfo, associated to an IORef used to remember the values yielded by the last call to this function.

probe :: IORef [Int] -> String -> IO [Double] Source #